Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002355TestLinkTest Executepublic2009-04-08 16:042011-03-20 16:33
Reporterploinquer 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.0 
Fixed in Version1.9.2 (2011 Q2 - bug fixing) 
Summary0002355: REMOTE test execution of test cases crashes
DescriptionDefining a testplan and adding testcases, assigning builds and testers to testcase.
In the test execution tab selct the tescase and press button "Execute and Save Results":
Fatal error: Call to undefined function executetestcase() in C:\Programme\xampp\htdocs\testlink180\lib\execute\execSetResults.php on line 561
TagsRemote Execution
Database (MySQL,Postgres,etc)
BrowserIE6
PHP Version5.2.8
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
has duplicate 0002398closedmhavlat Testecxecution - Pressing Button "Execute and Save Results" crashes 

-  Notes
(0006264)
fman (administrator)
2009-04-08 16:10

Please update to 1.8.1 and retest
(0006277)
ploinquer (reporter)
2009-04-08 16:49

in TL 1.8.1 "test execution tab" the button "Execute and Save Results" is not there/visible!
Therefore the problem seems to be fixed :-)
(0006282)
ploinquer (reporter)
2009-04-08 17:54

sorry, forgot to customize UI behaviour, after doing and performing the above mentioned actions the following error occurs:
Fatal error: Call to undefined function executetestcase() in C:\Programme\xampp\htdocs\testlink181\lib\execute\execSetResults.php on line 564

- same problem , but another line in php code
(0006623)
antongch (reporter)
2009-04-27 18:57
edited on: 2009-04-27 18:58

Missing import, add this line in execSetResults.php:

require_once('../functions/remote_exec.php');

(0006649)
da7489 (reporter)
2009-04-28 00:55

I also ran into the same problem with TL 1.8.1. I added the above line in the execSetResults.php saved it, relaunched TL. Now, it doesn't crash/give error but it also doesn't do nothing. The same page is displayed again on clicking "Execute and Save Results". Please confirm if anything else needs to be done.

- Issue History
Date Modified Username Field Change
2009-04-08 16:04 ploinquer New Issue
2009-04-08 16:04 ploinquer Browser => IE6
2009-04-08 16:04 ploinquer PHP Version => 5.2.8
2009-04-08 16:10 fman Note Added: 0006264
2009-04-08 16:10 fman Status new => feedback
2009-04-08 16:49 ploinquer Note Added: 0006277
2009-04-08 17:54 ploinquer Note Added: 0006282
2009-04-08 18:55 fman Status feedback => assigned
2009-04-08 18:55 fman Assigned To => fman
2009-04-27 18:57 antongch Note Added: 0006623
2009-04-27 18:58 antongch Note Edited: 0006623
2009-04-27 19:15 mhavlat Relationship added has duplicate 0002398
2009-04-28 00:55 da7489 Note Added: 0006649
2010-06-02 14:18 fman Summary test execution of test cases crashes => REMOTE test execution of test cases crashes
2011-01-23 17:25 fman Tag Attached: Remote Execution
2011-03-20 16:33 fman Status assigned => closed
2011-03-20 16:33 fman Resolution open => fixed
2011-03-20 16:33 fman Fixed in Version => 1.9.2 (2011 Q2 - bug fixing)



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker